export interface PackageJson {
    dependencies: object;
    devDependencies: object;
    name?: string;
    version?: string;
    license?: string;
    scripts?: object;
    config?: object;
    husky?: object;
}
export declare const getJsonFile: <T>(tree: import("@angular-devkit/schematics/src/tree/interface").Tree, path: string) => T;
export declare const getFileContents: (tree: import("@angular-devkit/schematics/src/tree/interface").Tree, filePath: string) => string;
export declare const getPackageJson: (tree: import("@angular-devkit/schematics/src/tree/interface").Tree, workingDirectory?: string) => PackageJson;
export declare const overwritePackageJson: (tree: import("@angular-devkit/schematics/src/tree/interface").Tree, content: PackageJson, workingDirectory?: string) => void;
